# -*- mode: ruby -*-
# vi: set ft=ruby :

Vagrant.configure("2") do |config|
  config.vm.box = "generic/ubuntu1804"
  
   config.vm.provider "virtualbox" do |vb|
     vb.memory = "4096"
     vb.cpus = 2
   end

   config.vm.synced_folder ".", "/vagrant"
  
   config.vm.provision "ansible_local" do |ansible|
     ansible.compatibility_mode = "2.0" 
     ansible.playbook = "provisioning/playbook.yml"
     ansible.become = true
     ansible.galaxy_role_file = "requirements.yml"
     ansible.galaxy_roles_path = "/etc/ansible/roles"
     ansible.galaxy_command = "sudo ansible-galaxy install --role-file=%{role_file} --roles-path=%{roles_path} --force"
   end

end
